Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511504 - [Regression] UI: Infrastructure Topology page is not retrieving VMs, Hosts etc. after clicking on any of the entities.
Summary: [Regression] UI: Infrastructure Topology page is not retrieving VMs, Hosts et...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Satyajit Bulage
URL:
Whiteboard: ui
Depends On:
Blocks: 1530770
TreeView+ depends on / blocked
 
Reported: 2017-11-09 13:29 UTC by Satyajit Bulage
Modified: 2018-06-21 20:32 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1530770 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:32:57 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)

Description Satyajit Bulage 2017-11-09 13:29:47 UTC
Description of problem:


Version-Release number of selected component (if applicable):5.9.0.7.20171107212356_ed87902


How reproducible:100%


Steps to Reproduce:
1. Compute --> Infrastructure --> Topology
2. Click on all entities like Nodes, VMs, Clusters, Tags etc.
3. Click on Refresh button
3. 

Actual results: All disabled entities getting enabled and no data retrieved on Topology page.


Expected results: It show/hide when entity get enabled or disabled.


Additional info:

Comment 6 CFME Bot 2017-12-20 19:44:22 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c8fbea190e6e64caaef168f8e802eff253926986

commit c8fbea190e6e64caaef168f8e802eff253926986
Author:     Martin Maroši <marvusm.mmi@gmail.com>
AuthorDate: Wed Nov 8 13:17:35 2017 +0100
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Wed Dec 20 19:03:48 2017 +0100

    Move out the topology refresh handling to a shared mixin
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1501048
    https://bugzilla.redhat.com/show_bug.cgi?id=1511504

 .../topology/cloud_topology_controller.js          | 57 ++------------
 .../topology/container_topology_controller.js      | 90 +++++-----------------
 .../topology/infra_topology_controller.js          | 55 ++-----------
 .../topology/middleware_topology_controller.js     | 42 ++--------
 .../topology/physical_infra_topology_controller.js | 56 ++------------
 .../javascripts/services/topology_service.js       | 58 +++++++++++++-
 .../shared/_topology_header_toolbar.html.haml      |  2 +-
 .../container_topology_controller_spec.js          | 26 ++-----
 8 files changed, 107 insertions(+), 279 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.